Skip to main content
POST
Create an integration mapping-preview shell

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

run_type
enum<string> | null

Run type. Validation: nullable; allowed values: dry_run, import_preview, manual, reconcile.

Available options:
dry_run,
import_preview,
manual,
reconcile,
null
Example:

"dry_run"

trigger_source
enum<string> | null

Trigger source. Validation: nullable; allowed values: manual, scheduled, webhook, test.

Available options:
manual,
scheduled,
webhook,
test,
null
Example:

"manual"

direction
enum<string> | null

Direction. Validation: nullable; allowed values: inbound, outbound, bidirectional.

Available options:
inbound,
outbound,
bidirectional,
null
Example:

"inbound"

object_types_json

Object types json. Validation: nullable, array.

context_json

Provider-specific context fields; use provider metadata/configuration for supported keys.

Response

Operation result.

status
string
Example:

"success"

data
object

Provider-dependent run context/summary/counters. The generic shell-run endpoint creates only a completed local mapping preview.